Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface AuditableEventType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Implementing Classes:
  AuditableEventTypeImpl

    public interface AuditableEventType

extends RegistryObjectType

A representation of the model object 'Auditable Event Type'. An Event that forms an audit trail in ebXML Registry.

The following features are supported:

- `Affected Objects`
- `Event Type`
- `Request Id`
- `Timestamp`
- `User`

See Also:
  `RimPackage.getAuditableEventType()`

Method Summary
`ObjectRefListType` | `getAffectedObjects()` Returns the value of the 'Affected Objects' containment reference.
`java.lang.String` | `getEventType()` Returns the value of the 'Event Type' attribute.
`java.lang.String` | `getRequestId()` Returns the value of the 'Request Id' attribute.
`java.lang.Object` | `getTimestamp()` Returns the value of the 'Timestamp' attribute.
`java.lang.String` | `getUser()` Returns the value of the 'User' attribute.
`void` | `setAffectedObjects(ObjectRefListType value)` Sets the value of the '`Affected Objects`' containment reference.
`void` | `setEventType(java.lang.String value)` Sets the value of the '`Event Type`' attribute.
`void` | `setRequestId(java.lang.String value)` Sets the value of the '`Request Id`' attribute.
`void` | `setTimestamp(java.lang.Object value)` Sets the value of the '`Timestamp`' attribute.
`void` | `setUser(java.lang.String value)` Sets the value of the '`User`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAffectedObjects

    ObjectRefListType getAffectedObjects()

  Returns the value of the 'Affected Objects' containment reference.

  If the meaning of the 'Affected Objects' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Affected Objects' containment reference.
  See Also:
    `setAffectedObjects(ObjectRefListType)`, `RimPackage.getAuditableEventType_AffectedObjects()`

### setAffectedObjects

    void setAffectedObjects(ObjectRefListType value)

  Sets the value of the '`Affected Objects`' containment reference.

  Parameters:
    `value` - the new value of the 'Affected Objects' containment reference.
  See Also:
    `getAffectedObjects()`

### getEventType

    java.lang.String getEventType()

  Returns the value of the 'Event Type' attribute.

  If the meaning of the 'Event Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Event Type' attribute.
  See Also:
    `setEventType(String)`, `RimPackage.getAuditableEventType_EventType()`

### setEventType

    void setEventType(java.lang.String value)

  Sets the value of the '`Event Type`' attribute.

  Parameters:
    `value` - the new value of the 'Event Type' attribute.
  See Also:
    `getEventType()`

### getRequestId

    java.lang.String getRequestId()

  Returns the value of the 'Request Id' attribute.

  If the meaning of the 'Request Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Request Id' attribute.
  See Also:
    `setRequestId(String)`, `RimPackage.getAuditableEventType_RequestId()`

### setRequestId

    void setRequestId(java.lang.String value)

  Sets the value of the '`Request Id`' attribute.

  Parameters:
    `value` - the new value of the 'Request Id' attribute.
  See Also:
    `getRequestId()`

### getTimestamp

    java.lang.Object getTimestamp()

  Returns the value of the 'Timestamp' attribute.

  If the meaning of the 'Timestamp' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Timestamp' attribute.
  See Also:
    `setTimestamp(Object)`, `RimPackage.getAuditableEventType_Timestamp()`

### setTimestamp

    void setTimestamp(java.lang.Object value)

  Sets the value of the '`Timestamp`' attribute.

  Parameters:
    `value` - the new value of the 'Timestamp' attribute.
  See Also:
    `getTimestamp()`

### getUser

    java.lang.String getUser()

  Returns the value of the 'User' attribute.

  If the meaning of the 'User' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User' attribute.
  See Also:
    `setUser(String)`, `RimPackage.getAuditableEventType_User()`

### setUser

    void setUser(java.lang.String value)

  Sets the value of the '`User`' attribute.

  Parameters:
    `value` - the new value of the 'User' attribute.
  See Also:
    `getUser()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD